<?xml version="1.0" encoding="Shift_JIS" ?>

<stylist-config>

<!-- =================================================================== -->
<!-- stylistフレームワークによるJSPのレイアウトを定義します              -->
<!-- =================================================================== -->
<!-- layout属性とレイアウト用のJSPを使ってJSPのスタイルを整えます       -->
<layout-mappings>
	<!-- layout要素でページレイアウトを定義します                       -->
	<!--【属性】                                                         -->
	<!-- name : クライアントからのリクエストURIを指定します              -->
	<!-- path : このアクションの結果を登録するレイアウト用JSP            -->
	<!--        を指定します                                             -->
	<!--                                                                 -->
	<!-- nameとクライアントからのリクエストURIでパス情報の比較を行います -->
	<!-- 比較キーワードnameにはワイルドカードとして"**"及び"*"を使用する -->
	<!-- ことができます。                                                -->
	<!-- "*"を指定した場合はURL"/"から次の"/"までの任意の文字列に相当しま-->
	<!-- す                                                              -->
	<!-- "**"は任意のディレクトリ階層に相当します。                      -->
	<!-- "**"を指定した場合は最後に指定された"/"以降の文字列が比較の対象 -->
	<!-- となります                                                      -->
	<!--【比較の例】                                                     -->
	<!-- aaa/layout.do  と aaa/layout.do             は等価              -->
	<!--  /*.do         と /layout.do                は等価              -->
	<!--  /*.do         と /servlet/layout.do        は違う              -->
	<!--  /servlet/*.do と /servlet/layout.do        は等価              -->
	<!--  /*/*.do       と /servlet/layout.do        は等価              -->
	<!--  /*/*.do       と /servlet/layout/layout.do は違う              -->
	<!--  /*/*/*.do     と /servlet/layout/layout.do は等価              -->
	<!--  /**/*.do      と /servlet/layout/layout.do は等価              -->
	<!--  /*/servlet/   と /aaa/servlet/             は等価              -->
	<layout 
		name="/webersample/*.do"
		path="/jsp/webersample/root/layout.jsp">
		<!-- このレイアウトに配置するJSPを指定します                     -->
		<!-- サーブレットの実行結果はname=body属性にセットされます。     -->
		<!-- name=body属性はstylistで予約されているキーワードであるため  -->
		<!-- layout要素にはセットしないでください                       -->
		<!--【属性】                                                     -->
		<!-- name ： レイアウトに配置するJSPの論理名を指定します         -->
		<!-- path ： レイアウトに配置するJSPのパスを指定します           -->
		<!-- extends：-->
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
		<put name="menu" path="/jsp/webersample/root/menu.jsp"/>
		<put name="menu_bookmark" path="/jsp/webersample/root/menu_bookmark.jsp"/>
		<put name="calendar" path="/jsp/webersample/root/today.jsp"/>
	</layout>
	<layout 
		name="/webersample/bugfixmanager/*.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
	</layout>
	
	<layout 
		name="/webersample/**/fail.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
	</layout>
	<layout 
		name="/webersample/user/*.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
	</layout>
	<layout 
		name="/webersample/syain/*.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
		<put name="menu" path="/jsp/webersample/root/menu_syain.jsp"/>
	</layout>
	<layout 
		name="/webersample/bookmark/*.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
	</layout>
	<layout 
		name="/webersample/schedule/*.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
		<put name="menu" path="/jsp/webersample/root/menu_schedule.jsp"/>
	</layout>
	<layout 
		name="/webersample/sisetu/*.do"
		path="/jsp/webersample/root/layout.jsp"
		extends="/webersample/*.do">
		<put name="header" path="/jsp/webersample/root/header.jsp"/>
		<put name="menu" path="/jsp/webersample/root/menu_sisetu.jsp"/>
	</layout>
	<layout 
		name="/layout/sample1*.do"
		path="/jsp/layouttest/layout.jsp">
		<put name="header" path="/jsp/layouttest/header.jsp"/>
		<put name="menu" path="/jsp/layouttest/menu.jsp"/>
	</layout>
	<layout 
		name="/layout/sample2*.do"
		path="/jsp/layouttest/layout2.jsp">
		<put name="header" path="/jsp/layouttest/header.jsp"/>
		<put name="menu" path="/jsp/layouttest/menu.jsp"/>
		<put name="fudder" path="/jsp/layouttest/fudder.jsp"/>
	</layout>
	<layout 
		name="/layout/sample3.do"
		path="/jsp/layouttest/layout.jsp">
		<put name="header" path="/jsp/layouttest/header.jsp"/>
		<put name="menu" path="/jsp/layouttest/menu.jsp"/>
	</layout>
	<layout 
		name="/layout/sample4.do"
		path="/jsp/layouttest/layout.jsp">
		<put name="header" path="/jsp/layouttest/header.jsp"/>
		<put name="menu" path="/jsp/layouttest/menu.jsp"/>
	</layout>
</layout-mappings>
</stylist-config>

